'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgChecked = function SvgChecked(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Checked_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M60.318 2H10.635a.65.65 0 0 0-.448.184.62.62 0 0 0-.187.44v74.757a.625.625 0 0 0 .635.62h58.73a.63.63 0 0 0 .45-.18.61.61 0 0 0 .185-.44V11.529a.6.6 0 0 0-.178-.434L60.76 2.19a.66.66 0 0 0-.442-.19m8.432 74.756H11.265V3.244h48.79l8.695 8.55zm-49.602-21.71 5.156 5.094a.63.63 0 0 0 .442.19.64.64 0 0 0 .498-.185l9.28-9.13-.899-.884-8.879 8.645-4.699-4.62zm23.173.434h17.59v-1.243h-17.59zM19.148 39.298l5.156 5.07a.63.63 0 0 0 .676.14.55.55 0 0 0 .198-.14l9.285-9.125-.899-.874-8.818 8.66-4.699-4.62zm23.173.87h17.59v-1.244h-17.59zM19.148 23.545l5.156 5.07a.63.63 0 0 0 .442.189.7.7 0 0 0 .239-.05.6.6 0 0 0 .198-.14l9.285-9.125-.899-.884-8.823 8.67-4.699-4.62zm23.173 1.303h17.59v-1.243h-17.59z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Checked_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgChecked;
